Skip to main content
POST
Create an API token for the environment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json

Fields necessary to create a new token

Environment API token required fields for creation. Scopes are required for environment tokens.

note
string
required

Name or note to help identify this token and its use.

Maximum string length: 100
scopes
enum<string>[]
required

Scopes assigned to an API token which they will have access to.

Minimum array length: 1

Valid scopes for an environment API token

Available options:
all.read,
waas.delegatedAccess.signMessage,
waas.authenticate,
environment.settings.read,
environment.settings.write,
environment.apiTokens.read,
environment.apiTokens.write,
environment.users.read,
environment.users.write,
environment.analytics.read,
environment.webhooks.read,
environment.webhooks.write,
environment.events.read,
environment.events.write,
environment.balances.read,
gasless.read,
gasless.write,
flow.write,
waas.policies.write

Response

The token that has been created, including the plaintext of the token

token
object
required
Last modified on August 16, 2026